# class Gem::DependencyResolutionError

Raised by `Gem::Resolver` when a Gem::Dependency::Conflict reaches the toplevel. Indicates which dependencies were incompatible through `conflict` and `conflicting_dependencies`

### Attributes

conflict [R]

### Public Class Methods

new (conflict)
Source

    # File lib/rubygems/exceptions.rb, line 53
    def initialize(conflict)
      @conflict = conflict
      a, b = conflicting_dependencies

      super "conflicting dependencies #{a} and #{b}\n#{@conflict.explanation}"
    end

Calls superclass method `Exception::new`

### Public Instance Methods

conflicting_dependencies ()
Source

    # File lib/rubygems/exceptions.rb, line 60
    def conflicting_dependencies
      @conflict.conflicting_dependencies
    end